// SPDX-License-Identifier: MIT

use hidapi::HidDevice;

use super::Hid;
use crate::Error;

impl Hid for HidDevice {
    fn write(&mut self, buf: &[u8]) -> Result<usize, Error> {
        Ok(HidDevice::write(self, buf)?)
    }

    fn read_timeout(&mut self, buf: &mut [u8], timeout: i32) -> Result<usize, Error> {
        Ok(HidDevice::read_timeout(self, buf, timeout)?)
    }
}
